import { string } from 'alga-js'
import sendcloudHelper from "../../../utils/sendcloudHelper"

export default defineEventHandler(async (event) => {
  let data: any = null
  const filter = getRouterParam(event, 'filter')

  try {
    const res: any = await sendcloudHelper(`shipping_methods?${filter}`, 'GET', null)
    if(res) {
      data = res
    }
  } catch(error: any) {}

  return data
})